Beefy Boxes and Bandwidth Generously Provided by pair Networks
XP is just a number
 
PerlMonks  

Re: installing perl module

by syphilis (Chancellor)
on Apr 09, 2013 at 23:40 UTC ( #1027866=note: print w/replies, xml ) Need Help??


in reply to installing perl module

From what I understand, after running 'perl Makefile.PL', I need to run 'make' to compile the code

No ... after 'perl Makefile.PL' you need to run whatever perl -V:make reports.

For me:
C:\>perl -V:make make='dmake'; C:\>
So, for me, it's dmake that needs to be run.

Cheers,
Rob

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1027866]
help
Chatterbox?
[Discipulus]: to specify use 5.0.x to be sure to have pairmap from the module..
[Corion]: Discipulus: I think Module::Corelist ( or corelist ) can tell you that
[Corion]: Meh - Module::CoreList
[choroba]: Just use List::Util 1.29
[choroba]: Be kind to people using old Perl with newer version of the module
[Corion]: But why not simply specify 'List::Util' => 1.29 in your prerequisites? People might install a more recent version of the module into their Perl
[Corion]: (what choroba said)

How do I use this? | Other CB clients
Other Users?
Others chanting in the Monastery: (6)
As of 2017-05-25 09:19 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?